---@meta

---@class UCP_SC_BaseColorPicker_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field OnColorChanged FCP_SC_BaseColorPicker_COnColorChanged
---@field CurrentColor FLinearColor
---@field StartColor FLinearColor
---@field HSVColor FVector
local UCP_SC_BaseColorPicker_C = {}

---@param H double
---@param S double
---@param V double
function UCP_SC_BaseColorPicker_C:OnColorCmpUpdated(H, S, V) end
---@param NewHue double
---@param NewSat double
---@param NewVal double
function UCP_SC_BaseColorPicker_C:UpdateSatAndValue(NewHue, NewSat, NewVal) end
---@param NewHue double
---@param NewSat double
function UCP_SC_BaseColorPicker_C:UpdateHueAndSat(NewHue, NewSat) end
---@param NewValue double
function UCP_SC_BaseColorPicker_C:UpdateValue(NewValue) end
---@param NewSat double
function UCP_SC_BaseColorPicker_C:UpdateSat(NewSat) end
---@param NewHue double
function UCP_SC_BaseColorPicker_C:UpdateHue(NewHue) end
---@param NewColor FLinearColor
function UCP_SC_BaseColorPicker_C:UpdateColor(NewColor) end
---@param NewColor FLinearColor
function UCP_SC_BaseColorPicker_C:InitStartColor(NewColor) end
function UCP_SC_BaseColorPicker_C:Construct() end
---@param EntryPoint int32
function UCP_SC_BaseColorPicker_C:ExecuteUbergraph_CP_SC_BaseColorPicker(EntryPoint) end
---@param NewColor FLinearColor
function UCP_SC_BaseColorPicker_C:OnColorChanged__DelegateSignature(NewColor) end


